> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/authentication/create-authentication-token.md).

# Creating API token

Make API uses authentication tokens to authenticate requests. You must include your authentication token in the headers of all requests that you send to the API.

Generate and manage API tokens from your profile in the Make interface.

{% hint style="warning" %}
If you have access to multiple Make zones, generate separate tokens for each of them.
{% endhint %}

{% stepper %}
{% step %}
Sign in to Make and click your avatar at the bottom-left corner of the page.
{% endstep %}

{% step %}
Click **Profile**.
{% endstep %}

{% step %}
Open the **API** tab.

![Choose API](https://636730569-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLXp8X1eBwkwrLIWrN9cg%2Fuploads%2Fgit-blob-b7cbaecb7bfc716c4b0a85862f475272ce56432c%2Fintro-steps-1.png?alt=media)
{% endstep %}

{% step %}
Click **Add token**.

![Add token](https://636730569-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FLXp8X1eBwkwrLIWrN9cg%2Fuploads%2Fgit-blob-89842cb56dd532f906d475c25604a2736dbf10d5%2Fintro-steps-2.png?alt=media)
{% endstep %}

{% step %}
In the **Add token** dialog, do the following:

* **Label**: type a custom name for your token that will help you recognize what the token is used for
* **Scopes**: select the scopes you need for working with API resources. For more information about scopes, refer to [Make roles and API scopes](/api-documentation/authentication/api-scopes-overview.md).
  {% endstep %}

{% step %}
Click **Save**.
{% endstep %}
{% endstepper %}

Make generates your token. Copy it and store it in a safe place.

{% hint style="warning" %}
**Do not share your token with anyone!**

Once you leave the **Profile** section, parts of your token will be hidden for security reasons. You won't be able to see or copy your token again.
{% endhint %}

With an active token, you are ready to make API calls. For more details, refer to the [Getting started](/api-documentation/getting-started.md) section.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/api-documentation/authentication/create-authentication-token.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
